import request from '@/utils/request'

// 查询应用列表
export function listApplication(query) {
  return request({
    url: '/system/audit/application/list',
    method: 'get',
    params: query
  })
}

// 查询应用详细
export function getApplication(id) {
  return request({
    url: '/system/audit/application/' + id,
    method: 'get'
  })
}

// 新增应用
export function addApplication(data) {
  return request({
    url: '/system/audit/application',
    method: 'post',
    data: data
  })
}

// 审核应用
export function auditApplication(data) {
  return request({
    url: '/system/audit/application/audit',
    method: 'post',
    data: data
  })
}

// 修改应用
export function updateApplication(data) {
  return request({
    url: '/system/audit/application',
    method: 'put',
    data: data
  })
}

// 删除应用
export function delApplication(id) {
  return request({
    url: '/system/audit/application/' + id,
    method: 'delete'
  })
}
